Skip to main content
GET
/
internal
/
conversations
List conversations
curl --request GET \
  --url https://api.stack-auth.com/api/v1/internal/conversations
{
  "conversations": [
    {
      "conversationId": "<string>",
      "subject": "<string>",
      "lastActivityAt": "<string>",
      "metadata": {
        "tags": [
          "<string>"
        ],
        "assignedToUserId": "<string>",
        "assignedToDisplayName": "<string>",
        "firstResponseDueAt": "<string>",
        "firstResponseAt": "<string>",
        "nextResponseDueAt": "<string>",
        "lastCustomerReplyAt": "<string>",
        "lastAgentReplyAt": "<string>"
      },
      "userId": "<string>",
      "teamId": "<string>",
      "userDisplayName": "<string>",
      "userPrimaryEmail": "<string>",
      "userProfileImageUrl": "<string>",
      "preview": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "lastMessageAt": "<string>",
      "lastInboundAt": "<string>",
      "lastOutboundAt": "<string>",
      "closedAt": "<string>",
      "recordMetadata": {}
    }
  ],
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

projectId
string
required

The unique identifier of the project

Example:

"e0b52f4d-dece-408c-af49-d23061bb0f8d"

query
string
status
enum<string>
Available options:
open,
pending,
closed
userId
string

The unique identifier of the user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

limit
string
offset
string

Response

200 - application/json

Successful response

conversations
object[]
required
hasMore
boolean
required